FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202008210149.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202008210149.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=66b40f8 OS_GIT_VERSION=4.5.0-202008210149.p0-66b40f8 SOURCE_DATE_EPOCH=1587155208 SOURCE_GIT_COMMIT=66b40f8c3c7c9ffe4c65f7bb98767ae8851abfe7 SOURCE_GIT_TAG=v0.2.0-222-g66b40f8 SOURCE_GIT_URL=https://github.com/openshift/k8s-prometheus-adapter 

COPY . /go/src/github.com/directxman12/k8s-prometheus-adapter

WORKDIR /go/src/github.com/directxman12/k8s-prometheus-adapter
ENV GOFLAGS="-mod=vendor"
RUN make
RUN mv /go/src/github.com/directxman12/k8s-prometheus-adapter/_output/$(go env GOARCH)/adapter /usr/bin/cm-adapter


FROM openshift/ose-base:v4.5.0.20200821.035709
ENV __doozer=update BUILD_RELEASE=202008210149.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202008210149.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=66b40f8 OS_GIT_VERSION=4.5.0-202008210149.p0-66b40f8 SOURCE_DATE_EPOCH=1587155208 SOURCE_GIT_COMMIT=66b40f8c3c7c9ffe4c65f7bb98767ae8851abfe7 SOURCE_GIT_TAG=v0.2.0-222-g66b40f8 SOURCE_GIT_URL=https://github.com/openshift/k8s-prometheus-adapter 

COPY --from=builder /usr/bin/cm-adapter /usr/bin/cm-adapter
    

USER 1001

ENTRYPOINT ["/usr/bin/cm-adapter"]

LABEL \
        io.k8s.display-name="OpenShift Prometheus Custom Metrics Adapter" \
        io.k8s.description="This is a component of OpenShift Container Platform that provides the Kubernetes custom metrics API based on Prometheus metrics" \
        io.openshift.tags="openshift" \
        maintainer="Solly Ross <sross@redhat.com>" \
        name="openshift/ose-k8s-prometheus-adapter" \
        com.redhat.component="ose-prometheus-adapter-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Monitoring" \
        release="202008210149.p0" \
        io.openshift.build.commit.id="66b40f8c3c7c9ffe4c65f7bb98767ae8851abfe7" \
        io.openshift.build.source-location="https://github.com/openshift/k8s-prometheus-adapter" \
        io.openshift.build.commit.url="https://github.com/openshift/k8s-prometheus-adapter/commit/66b40f8c3c7c9ffe4c65f7bb98767ae8851abfe7" \
        version="v4.5.0"

